clear all
x=0:0.1:20;
c=3;
y1=0.79*c./(-0.21*x+c);
y1(round(c/0.21*10))=NaN;
y2=x;y2(:)=1;
y3=1.19*c./(0.19*x +c);

y4=0.83*c./(-0.17*x+c);
y4(round(c/0.17*10))=NaN;
y5=1.25*c./(0.25*x +c);

figure(1)
subplot(1,2,1)
title('(a) In xy-dimension','fontsize',14)
set(gca,'xtick',0:3:20); 
ax=gca;
ax.YTick = [0.2 0.4 0.6 0.8 1 2 4 6 8];
%ax.YTickLabel={'2^{-3}','2^{-2}','2^{-1}','1','2^{1}','2^{2}','2^{3}'};
xlim([0 20])
ylim([3^-1 10^1])
pbaspect([1 0.75 1])
xlabel('Depth in original world Z_o[m]')
ylabel('Relative size')
hold on
X=[0,20];
Y=[1,10;1,10];
h=area(X,Y,'EdgeColor','none');%,'FaceAlpha',.3);
h(1).FaceColor = [0.9 0.9 0.9];
h(2).FaceColor = [0.8 0.8 0.8];
p5=plot(x,y4,'color',[0.9 0.9 0], 'LineWidth',3);
p2=plot(x, y5,'--','color',[0 0.8 0],'LineWidth',3);
p=plot(x,y1,'w',x,y1,'r',x,y2,'k:',x,y3,'b--', 'LineWidth',3);
%p2=line([3 3], get(gca, 'ylim'),'Color','k','LineStyle',':','LineWidth',1.2);
p3=line([c/0.21 c/0.21],get(gca, 'ylim'),'Color','r','LineStyle',':','LineWidth',3);
p4=line([c/0.17 c/0.17],get(gca, 'ylim'),'Color',[0.9 0.9 0],'LineStyle',':','LineWidth',3);
text(15.7,1.16,'Expansion','FontSize',14)
text(14.6,0.9,'Compression','FontSize',14)
legend([p(1),p(2),p(3),p(4),p3],...
    's_c=63mm','s_e=50mm','s_e=63mm','s_e=75mm','asymptote','Location','northwest')
set(gca,'YScale','log')
set(gca, 'TickDir', 'both')
set(gca,'fontsize',14)
a=axes('position',get(gca,'position'),'visible','off');
%legend(a,[p(1),p5,p2],...
%    's_c=60mm','s_e=50mm','s_e=75mm','Location','s');
% legend([p(1),p(2),p(3),p2],...
%     's_e=50mm<s_c','s_e=63mm=s_c','s_e=75mm>s_c','screen distance','Location','northwest')
%set(gca,'xdir','reverse') 
%set(gca,'yaxislocation','right') 
set(gca, 'TickDir', 'both')
set(gca,'fontsize',14)
hold off
% 
subplot(1,2,2)
title('(b) In z-dimension', 'fontsize',14)
set(gca,'xtick',0:3:20); 
ax=gca;
ax.YTick = [0.2 0.4 0.6 0.8 1 2 4 6 8];
%ax.YTickLabel={'2^{-3}','2^{-2}','2^{-1}','1','2^{1}','2^{2}','2^{3}'};
xlim([0 20])
ylim([3^-1 10^1])
pbaspect([1 0.75 1])
xlabel('Depth in original world Z_o[m]')
ylabel('Relative depth')
hold on
X=[0,20];
Y=[1,10;1,10];
h=area(X,Y,'EdgeColor','none');%,'FaceAlpha',.3);
h(1).FaceColor = [0.9 0.9 0.9];
h(2).FaceColor = [0.8 0.8 0.8];
p5=plot(x,y4,'color',[0.9 0.9 0], 'LineWidth',3);
p2=plot(x, y5,'--','color',[0 0.8 0],'LineWidth',3);
p=plot(x,y1,'w',x,y1,'r',x,y2,'k:',x,y3,'b--','LineWidth',3);
%p2=line([3 3], get(gca, 'ylim'),'Color','k','LineStyle',':','LineWidth',1.2);
p3=line([c/0.21 c/0.21],get(gca, 'ylim'),'Color','r','LineStyle',':','LineWidth',3);
p4=line([c/0.17 c/0.17],get(gca, 'ylim'),'Color',[0.9 0.9 0],'LineStyle',':','LineWidth',3);
text(16.9,1.16,'Farther','FontSize',14)
text(17.2,0.9,'Closer','FontSize',14)
legend([p(1),p5,p(3),p2,p4],...
    's_c=60mm','s_e=50mm','s_e=60mm','s_e=75mm','asymptote','Location','northwest')
%legend([p(1),p(2),p(3),p3],...
%    's_e=50mm<s_c','s_e=63mm=s_c','s_e=75mm>s_c','asymptote','Location','northwest')
set(gca,'YScale','log')
set(gca, 'TickDir', 'both')
set(gca,'fontsize',14)
hold off
%set(gcf, 'PaperPositionMode', 'auto')
print('-dpdf', 'separationk2.pdf')
